UPDATE `bwb_version` SET `version` = '6.4.40';

ALTER TABLE `bwb_menus` CHANGE `menu_type` `top_down_on_sub_down` TINYINT NOT NULL DEFAULT '0';

ALTER TABLE `bwb_site_css` ADD `gradient_type` TINYINT NOT NULL DEFAULT '0' AFTER `flex_wrap`, ADD `gradient_angle` SMALLINT NOT NULL DEFAULT '0' AFTER `gradient_type`, ADD `gradient_colors` TEXT NULL AFTER `gradient_angle`, ADD `gradient_repeat` SMALLINT NOT NULL DEFAULT '0' AFTER `gradient_colors`;
ALTER TABLE `bwb_site_css` ADD `gradient_opacities` TEXT DEFAULT NULL AFTER `gradient_colors`;

INSERT INTO `bwb_site_css_field_to_attrib` (`field_name`, `attribute`) VALUES ('gradient_type', 'linear-gradient or radial-gradient');
INSERT INTO `bwb_site_css_important_field_exceptions` (`field_name`) VALUES ('gradient_angle'), ('gradient_colors');
INSERT INTO `bwb_site_css_important_field_exceptions` (`field_name`) VALUES ('gradient_opacities'), ('gradient_repeat');


REPLACE INTO `bwb_site_classes` (`style_sheet`, `class`, `description`, `sort_order`, `subclass_sort_order`, `custom`) VALUES
('menu1', '.top_level_li_down1:hover', 'Top Level Down State LI Hover', 196, 0, 0),
('menu1', '.sub_level_1_li_down1:hover', 'Sub Level 1 Down State LI Hover', 281, 0, 0),
('menu1', '.sub_level_2_li_down1:hover', 'Sub Level 2 Down State LI Hover', 371, 0, 0),
('menu1', '.sub_level_3_li_down1:hover', 'Sub Level 3 Down State LI Hover', 466, 0, 0),
('menu1', '.sub_level_4_li_down1:hover', 'Sub Level 4 Down State LI Hover', 556, 0, 0),
('menu1', '.sub_level_5_li_down1:hover', 'Sub Level 5 Down State LI Hover', 646, 0, 0),
('menu1_mobile', '.top_level_li_down1:hover', 'Top Level Down State LI Hover', 196, 0, 0),
('menu1_mobile', '.sub_level_1_li_down1:hover', 'Sub Level 1 Down State LI Hover', 281, 0, 0),
('menu1_mobile', '.sub_level_2_li_down1:hover', 'Sub Level 2 Down State LI Hover', 371, 0, 0),
('menu1_mobile', '.sub_level_3_li_down1:hover', 'Sub Level 3 Down State LI Hover', 466, 0, 0),
('menu1_mobile', '.sub_level_4_li_down1:hover', 'Sub Level 4 Down State LI Hover', 556, 0, 0),
('menu1_mobile', '.sub_level_5_li_down1:hover', 'Sub Level 5 Down State LI Hover', 646, 0, 0),
('menu2', '.top_level_li_down2:hover', 'Top Level Down State LI Hover', 196, 0, 0),
('menu2', '.sub_level_1_li_down2:hover', 'Sub Level 1 Down State LI Hover', 281, 0, 0),
('menu2', '.sub_level_2_li_down2:hover', 'Sub Level 2 Down State LI Hover', 371, 0, 0),
('menu2', '.sub_level_3_li_down2:hover', 'Sub Level 3 Down State LI Hover', 466, 0, 0),
('menu2', '.sub_level_4_li_down2:hover', 'Sub Level 4 Down State LI Hover', 556, 0, 0),
('menu2', '.sub_level_5_li_down2:hover', 'Sub Level 5 Down State LI Hover', 646, 0, 0),
('menu2_mobile', '.top_level_li_down2:hover', 'Top Level Down State LI Hover', 196, 0, 0),
('menu2_mobile', '.sub_level_1_li_down2:hover', 'Sub Level 1 Down State LI Hover', 281, 0, 0),
('menu2_mobile', '.sub_level_2_li_down2:hover', 'Sub Level 2 Down State LI Hover', 371, 0, 0),
('menu2_mobile', '.sub_level_3_li_down2:hover', 'Sub Level 3 Down State LI Hover', 466, 0, 0),
('menu2_mobile', '.sub_level_4_li_down2:hover', 'Sub Level 4 Down State LI Hover', 556, 0, 0),
('menu2_mobile', '.sub_level_5_li_down2:hover', 'Sub Level 5 Down State LI Hover', 646, 0, 0),
('menu3', '.top_level_li_down3:hover', 'Top Level Down State LI Hover', 196, 0, 0),
('menu3', '.sub_level_1_li_down3:hover', 'Sub Level 1 Down State LI Hover', 281, 0, 0),
('menu3', '.sub_level_2_li_down3:hover', 'Sub Level 2 Down State LI Hover', 371, 0, 0),
('menu3', '.sub_level_3_li_down3:hover', 'Sub Level 3 Down State LI Hover', 466, 0, 0),
('menu3', '.sub_level_4_li_down3:hover', 'Sub Level 4 Down State LI Hover', 556, 0, 0),
('menu3', '.sub_level_5_li_down3:hover', 'Sub Level 5 Down State LI Hover', 646, 0, 0),
('menu3_mobile', '.top_level_li_down3:hover', 'Top Level Down State LI Hover', 196, 0, 0),
('menu3_mobile', '.sub_level_1_li_down3:hover', 'Sub Level 1 Down State LI Hover', 281, 0, 0),
('menu3_mobile', '.sub_level_2_li_down3:hover', 'Sub Level 2 Down State LI Hover', 371, 0, 0),
('menu3_mobile', '.sub_level_3_li_down3:hover', 'Sub Level 3 Down State LI Hover', 466, 0, 0),
('menu3_mobile', '.sub_level_4_li_down3:hover', 'Sub Level 4 Down State LI Hover', 556, 0, 0),
('menu3_mobile', '.sub_level_5_li_down3:hover', 'Sub Level 5 Down State LI Hover', 646, 0, 0),
('menu4', '.top_level_li_down4:hover', 'Top Level Down State LI Hover', 196, 0, 0),
('menu4', '.sub_level_1_li_down4:hover', 'Sub Level 1 Down State LI Hover', 281, 0, 0),
('menu4', '.sub_level_2_li_down4:hover', 'Sub Level 2 Down State LI Hover', 371, 0, 0),
('menu4', '.sub_level_3_li_down4:hover', 'Sub Level 3 Down State LI Hover', 466, 0, 0),
('menu4', '.sub_level_4_li_down4:hover', 'Sub Level 4 Down State LI Hover', 556, 0, 0),
('menu4', '.sub_level_5_li_down4:hover', 'Sub Level 5 Down State LI Hover', 646, 0, 0),
('menu4_mobile', '.top_level_li_down4:hover', 'Top Level Down State LI Hover', 196, 0, 0),
('menu4_mobile', '.sub_level_1_li_down4:hover', 'Sub Level 1 Down State LI Hover', 281, 0, 0),
('menu4_mobile', '.sub_level_2_li_down4:hover', 'Sub Level 2 Down State LI Hover', 371, 0, 0),
('menu4_mobile', '.sub_level_3_li_down4:hover', 'Sub Level 3 Down State LI Hover', 466, 0, 0),
('menu4_mobile', '.sub_level_4_li_down4:hover', 'Sub Level 4 Down State LI Hover', 556, 0, 0),
('menu4_mobile', '.sub_level_5_li_down4:hover', 'Sub Level 5 Down State LI Hover', 646, 0, 0);


REPLACE INTO `bwb_site_classes` (`style_sheet`, `class`, `description`, `sort_order`, `subclass_sort_order`, `custom`) VALUES
('menu1', '.sub_level_1_li1 A:link', 'Sub Level 1 LI Link', 229, 0, 0),
('menu1', '.sub_level_2_li1 A:link', 'Sub Level 2 LI Link', 319, 0, 0),
('menu1', '.sub_level_3_li1 A:link', 'Sub Level 3 LI Link', 414, 0, 0),
('menu1', '.sub_level_4_li1 A:link', 'Sub Level 4 LI Link', 504, 0, 0),
('menu1', '.sub_level_5_li1 A:link', 'Sub Level 5 LI Link', 594, 0, 0),
('menu1_mobile', '.sub_level_1_li1 A:link', 'Sub Level 1 LI Link', 229, 0, 0),
('menu1_mobile', '.sub_level_2_li1 A:link', 'Sub Level 2 LI Link', 319, 0, 0),
('menu1_mobile', '.sub_level_3_li1 A:link', 'Sub Level 3 LI Link', 414, 0, 0),
('menu1_mobile', '.sub_level_4_li1 A:link', 'Sub Level 4 LI Link', 504, 0, 0),
('menu1_mobile', '.sub_level_5_li1 A:link', 'Sub Level 5 LI Link', 594, 0, 0),
('menu2', '.sub_level_1_li2 A:link', 'Sub Level 1 LI Link', 229, 0, 0),
('menu2', '.sub_level_2_li2 A:link', 'Sub Level 2 LI Link', 319, 0, 0),
('menu2', '.sub_level_3_li2 A:link', 'Sub Level 3 LI Link', 414, 0, 0),
('menu2', '.sub_level_4_li2 A:link', 'Sub Level 4 LI Link', 504, 0, 0),
('menu2', '.sub_level_5_li2 A:link', 'Sub Level 5 LI Link', 594, 0, 0),
('menu2_mobile', '.sub_level_1_li2 A:link', 'Sub Level 1 LI Link', 229, 0, 0),
('menu2_mobile', '.sub_level_2_li2 A:link', 'Sub Level 2 LI Link', 319, 0, 0),
('menu2_mobile', '.sub_level_3_li2 A:link', 'Sub Level 3 LI Link', 414, 0, 0),
('menu2_mobile', '.sub_level_4_li2 A:link', 'Sub Level 4 LI Link', 504, 0, 0),
('menu2_mobile', '.sub_level_5_li2 A:link', 'Sub Level 5 LI Link', 594, 0, 0),
('menu3', '.sub_level_1_li3 A:link', 'Sub Level 1 LI Link', 229, 0, 0),
('menu3', '.sub_level_2_li3 A:link', 'Sub Level 2 LI Link', 319, 0, 0),
('menu3', '.sub_level_3_li3 A:link', 'Sub Level 3 LI Link', 414, 0, 0),
('menu3', '.sub_level_4_li3 A:link', 'Sub Level 4 LI Link', 504, 0, 0),
('menu3', '.sub_level_5_li3 A:link', 'Sub Level 5 LI Link', 594, 0, 0),
('menu3_mobile', '.sub_level_1_li3 A:link', 'Sub Level 1 LI Link', 229, 0, 0),
('menu3_mobile', '.sub_level_2_li3 A:link', 'Sub Level 2 LI Link', 319, 0, 0),
('menu3_mobile', '.sub_level_3_li3 A:link', 'Sub Level 3 LI Link', 414, 0, 0),
('menu3_mobile', '.sub_level_4_li3 A:link', 'Sub Level 4 LI Link', 504, 0, 0),
('menu3_mobile', '.sub_level_5_li3 A:link', 'Sub Level 5 LI Link', 594, 0, 0),
('menu4', '.sub_level_1_li4 A:link', 'Sub Level 1 LI Link', 229, 0, 0),
('menu4', '.sub_level_2_li4 A:link', 'Sub Level 2 LI Link', 319, 0, 0),
('menu4', '.sub_level_3_li4 A:link', 'Sub Level 3 LI Link', 414, 0, 0),
('menu4', '.sub_level_4_li4 A:link', 'Sub Level 4 LI Link', 504, 0, 0),
('menu4', '.sub_level_5_li4 A:link', 'Sub Level 5 LI Link', 594, 0, 0),
('menu4_mobile', '.sub_level_1_li4 A:link', 'Sub Level 1 LI Link', 229, 0, 0),
('menu4_mobile', '.sub_level_2_li4 A:link', 'Sub Level 2 LI Link', 319, 0, 0),
('menu4_mobile', '.sub_level_3_li4 A:link', 'Sub Level 3 LI Link', 414, 0, 0),
('menu4_mobile', '.sub_level_4_li4 A:link', 'Sub Level 4 LI Link', 504, 0, 0),
('menu4_mobile', '.sub_level_5_li4 A:link', 'Sub Level 5 LI Link', 594, 0, 0);

ALTER TABLE `bwb_site_css` CHANGE `weight` `weight` VARCHAR(32) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT NULL;

REPLACE INTO `bwb_site_classes` (`style_sheet`, `class`, `description`, `sort_order`, `subclass_sort_order`, `custom`) VALUES
('menu1', '.top_level_li1:hover .top_level_a1', 'Top Level and Child Hover Text Color', 765, 0, 0),
('menu1', '.sub_level_1_li1:hover .sub_level_1_a1', 'Sub Level 1 and Child Hover Text Color', 770, 0, 0),
('menu1', '.sub_level_2_li1:hover .sub_level_2_a1', 'Sub Level 2 and Child Hover Text Color', 775, 0, 0),
('menu1', '.sub_level_3_li1:hover .sub_level_3_a1', 'Sub Level 3 and Child Hover Text Color', 780, 0, 0),
('menu1', '.sub_level_4_li1:hover .sub_level_4_a1', 'Sub Level 4 and Child Hover Text Color', 785, 0, 0),
('menu1_mobile', '.top_level_li1:hover .top_level_a1', 'Top Level and Child Hover Text Color', 765, 0, 0),
('menu1_mobile', '.sub_level_1_li1:hover .sub_level_1_a1', 'Sub Level 1 and Child Hover Text Color', 770, 0, 0),
('menu1_mobile', '.sub_level_2_li1:hover .sub_level_2_a1', 'Sub Level 2 and Child Hover Text Color', 775, 0, 0),
('menu1_mobile', '.sub_level_3_li1:hover .sub_level_3_a1', 'Sub Level 3 and Child Hover Text Color', 780, 0, 0),
('menu1_mobile', '.sub_level_4_li1:hover .sub_level_4_a1', 'Sub Level 4 and Child Hover Text Color', 785, 0, 0),
('menu2', '.top_level_li2:hover .top_level_a2', 'Top Level and Child Hover Text Color', 765, 0, 0),
('menu2', '.sub_level_1_li2:hover .sub_level_1_a2', 'Sub Level 1 and Child Hover Text Color', 770, 0, 0),
('menu2', '.sub_level_2_li2:hover .sub_level_2_a2', 'Sub Level 2 and Child Hover Text Color', 775, 0, 0),
('menu2', '.sub_level_3_li2:hover .sub_level_3_a2', 'Sub Level 3 and Child Hover Text Color', 780, 0, 0),
('menu2', '.sub_level_4_li2:hover .sub_level_4_a2', 'Sub Level 4 and Child Hover Text Color', 785, 0, 0),
('menu2_mobile', '.top_level_li2:hover .top_level_a2', 'Top Level and Child Hover Text Color', 765, 0, 0),
('menu2_mobile', '.sub_level_1_li2:hover .sub_level_1_a2', 'Sub Level 1 and Child Hover Text Color', 770, 0, 0),
('menu2_mobile', '.sub_level_2_li2:hover .sub_level_2_a2', 'Sub Level 2 and Child Hover Text Color', 775, 0, 0),
('menu2_mobile', '.sub_level_3_li2:hover .sub_level_3_a2', 'Sub Level 3 and Child Hover Text Color', 780, 0, 0),
('menu2_mobile', '.sub_level_4_li2:hover .sub_level_4_a2', 'Sub Level 4 and Child Hover Text Color', 785, 0, 0),
('menu3', '.top_level_li3:hover .top_level_a3', 'Top Level and Child Hover Text Color', 765, 0, 0),
('menu3', '.sub_level_1_li3:hover .sub_level_1_a3', 'Sub Level 1 and Child Hover Text Color', 770, 0, 0),
('menu3', '.sub_level_2_li3:hover .sub_level_2_a3', 'Sub Level 2 and Child Hover Text Color', 775, 0, 0),
('menu3', '.sub_level_3_li3:hover .sub_level_3_a3', 'Sub Level 3 and Child Hover Text Color', 780, 0, 0),
('menu3', '.sub_level_4_li3:hover .sub_level_4_a3', 'Sub Level 4 and Child Hover Text Color', 785, 0, 0),
('menu3_mobile', '.top_level_li3:hover .top_level_a3', 'Top Level and Child Hover Text Color', 765, 0, 0),
('menu3_mobile', '.sub_level_1_li3:hover .sub_level_1_a3', 'Sub Level 1 and Child Hover Text Color', 770, 0, 0),
('menu3_mobile', '.sub_level_2_li3:hover .sub_level_2_a3', 'Sub Level 2 and Child Hover Text Color', 775, 0, 0),
('menu3_mobile', '.sub_level_3_li3:hover .sub_level_3_a3', 'Sub Level 3 and Child Hover Text Color', 780, 0, 0),
('menu3_mobile', '.sub_level_4_li3:hover .sub_level_4_a3', 'Sub Level 4 and Child Hover Text Color', 785, 0, 0),
('menu4', '.top_level_li1:hover .top_level_a4', 'Top Level and Child Hover Text Color', 765, 0, 0),
('menu4', '.sub_level_1_li1:hover .sub_level_1_a4', 'Sub Level 1 and Child Hover Text Color', 770, 0, 0),
('menu4', '.sub_level_2_li1:hover .sub_level_2_a4', 'Sub Level 2 and Child Hover Text Color', 775, 0, 0),
('menu4', '.sub_level_3_li1:hover .sub_level_3_a4', 'Sub Level 3 and Child Hover Text Color', 780, 0, 0),
('menu4', '.sub_level_4_li1:hover .sub_level_4_a4', 'Sub Level 4 and Child Hover Text Color', 785, 0, 0),
('menu4_mobile', '.top_level_li1:hover .top_level_a4', 'Top Level and Child Hover Text Color', 765, 0, 0),
('menu4_mobile', '.sub_level_1_li1:hover .sub_level_1_a4', 'Sub Level 1 and Child Hover Text Color', 770, 0, 0),
('menu4_mobile', '.sub_level_2_li1:hover .sub_level_2_a4', 'Sub Level 2 and Child Hover Text Color', 775, 0, 0),
('menu4_mobile', '.sub_level_3_li1:hover .sub_level_3_a4', 'Sub Level 3 and Child Hover Text Color', 780, 0, 0),
('menu4_mobile', '.sub_level_4_li1:hover .sub_level_4_a4', 'Sub Level 4 and Child Hover Text Color', 785, 0, 0);

REPLACE INTO `bwb_site_classes` (`style_sheet`, `class`, `description`, `sort_order`, `subclass_sort_order`, `custom`) VALUES
('menu1', '.top_level_li_down1:hover .top_level_a_down1', 'Top Level and Child Hover Text Color Down', 790, 0, 0),
('menu1', '.sub_level_1_li_down1:hover .sub_level_1_a_down1', 'Sub Level 1 and Child Hover Text Color Down', 795, 0, 0),
('menu1', '.sub_level_2_li_down1:hover .sub_level_2_a_down1', 'Sub Level 2 and Child Hover Text Color Down', 800, 0, 0),
('menu1', '.sub_level_3_li_down1:hover .sub_level_3_a_down1', 'Sub Level 3 and Child Hover Text Color Down', 805, 0, 0),
('menu1', '.sub_level_4_li_down1:hover .sub_level_4_a_down1', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0),
('menu1', '.sub_level_4_li_down1:hover .sub_level_4_a_down1', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0),
('menu1_mobile', '.top_level_li_down1:hover .top_level_a_down1', 'Top Level and Child Hover Text Color Down', 790, 0, 0),
('menu1_mobile', '.sub_level_1_li_down1:hover .sub_level_1_a_down1', 'Sub Level 1 and Child Hover Text Color Down', 795, 0, 0),
('menu1_mobile', '.sub_level_2_li_down1:hover .sub_level_2_a_down1', 'Sub Level 2 and Child Hover Text Color Down', 800, 0, 0),
('menu1_mobile', '.sub_level_3_li_down1:hover .sub_level_3_a_down1', 'Sub Level 3 and Child Hover Text Color Down', 805, 0, 0),
('menu1_mobile', '.sub_level_4_li_down1:hover .sub_level_4_a_down1', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0),
('menu2', '.top_level_li_down2:hover .top_level_a_down2', 'Top Level and Child Hover Text Color Down', 790, 0, 0),
('menu2', '.sub_level_1_li_down2:hover .sub_level_1_a_down2', 'Sub Level 1 and Child Hover Text Color Down', 795, 0, 0),
('menu2', '.sub_level_2_li_down2:hover .sub_level_2_a_down2', 'Sub Level 2 and Child Hover Text Color Down', 800, 0, 0),
('menu2', '.sub_level_3_li_down2:hover .sub_level_3_a_down2', 'Sub Level 3 and Child Hover Text Color Down', 805, 0, 0),
('menu2', '.sub_level_4_li_down2:hover .sub_level_4_a_down2', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0),
('menu2_mobile', '.top_level_li_down2:hover .top_level_a_down2', 'Top Level and Child Hover Text Color Down', 790, 0, 0),
('menu2_mobile', '.sub_level_1_li_down2:hover .sub_level_1_a_down2', 'Sub Level 1 and Child Hover Text Color Down', 795, 0, 0),
('menu2_mobile', '.sub_level_2_li_down2:hover .sub_level_2_a_down2', 'Sub Level 2 and Child Hover Text Color Down', 800, 0, 0),
('menu2_mobile', '.sub_level_3_li_down2:hover .sub_level_3_a_down2', 'Sub Level 3 and Child Hover Text Color Down', 805, 0, 0),
('menu2_mobile', '.sub_level_4_li_down2:hover .sub_level_4_a_down2', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0),
('menu3', '.top_level_li_down3:hover .top_level_a_down3', 'Top Level and Child Hover Text Color Down', 790, 0, 0),
('menu3', '.sub_level_1_li_down3:hover .sub_level_1_a_down3', 'Sub Level 1 and Child Hover Text Color Down', 795, 0, 0),
('menu3', '.sub_level_2_li_down3:hover .sub_level_2_a_down3', 'Sub Level 2 and Child Hover Text Color Down', 800, 0, 0),
('menu3', '.sub_level_3_li_down3:hover .sub_level_3_a_down3', 'Sub Level 3 and Child Hover Text Color Down', 805, 0, 0),
('menu3', '.sub_level_4_li_down3:hover .sub_level_4_a_down3', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0),
('menu3_mobile', '.top_level_li_down3:hover .top_level_a_down3', 'Top Level and Child Hover Text Color Down', 790, 0, 0),
('menu3_mobile', '.sub_level_1_li_down3:hover .sub_level_1_a_down3', 'Sub Level 1 and Child Hover Text Color Down', 795, 0, 0),
('menu3_mobile', '.sub_level_2_li_down3:hover .sub_level_2_a_down3', 'Sub Level 2 and Child Hover Text Color Down', 800, 0, 0),
('menu3_mobile', '.sub_level_3_li_down3:hover .sub_level_3_a_down3', 'Sub Level 3 and Child Hover Text Color Down', 805, 0, 0),
('menu3_mobile', '.sub_level_4_li_down3:hover .sub_level_4_a_down3', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0),
('menu4', '.top_level_li_down4:hover .top_level_a_down4', 'Top Level and Child Hover Text Color Down', 790, 0, 0),
('menu4', '.sub_level_1_li_down4:hover .sub_level_1_a_down4', 'Sub Level 1 and Child Hover Text Color Down', 795, 0, 0),
('menu4', '.sub_level_2_li_down4:hover .sub_level_2_a_down4', 'Sub Level 2 and Child Hover Text Color Down', 800, 0, 0),
('menu4', '.sub_level_3_li_down4:hover .sub_level_3_a_down4', 'Sub Level 3 and Child Hover Text Color Down', 805, 0, 0),
('menu4', '.sub_level_4_li_down4:hover .sub_level_4_a_down4', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0),
('menu4_mobile', '.top_level_li_down4:hover .top_level_a_down4', 'Top Level and Child Hover Text Color Down', 790, 0, 0),
('menu4_mobile', '.sub_level_1_li_down4:hover .sub_level_1_a_down4', 'Sub Level 1 and Child Hover Text Color Down', 795, 0, 0),
('menu4_mobile', '.sub_level_2_li_down4:hover .sub_level_2_a_down4', 'Sub Level 2 and Child Hover Text Color Down', 800, 0, 0),
('menu4_mobile', '.sub_level_3_li_down4:hover .sub_level_3_a_down4', 'Sub Level 3 and Child Hover Text Color Down', 805, 0, 0),
('menu4_mobile', '.sub_level_4_li_down4:hover .sub_level_4_a_down4', 'Sub Level 4 and Child Hover Text Color Down', 810, 0, 0);


REPLACE INTO `bwb_site_classes` (`style_sheet`, `class`, `description`, `sort_order`, `subclass_sort_order`, `custom`) VALUES
('menu1', '.top_level_li1 > ul', 'Mouse Out State of Sub Level 1 UL', 815, 0, 0),
('menu1', '.top_level_li_down1 > ul', 'Down Mouse Out State of Sub Level 1 UL', 820, 0, 0),
('menu1', '.top_level_li1:hover > ul', 'Hover State of Sub Level 1 UL', 825, 0, 0),
('menu1', '.top_level_li_down1:hover > ul', 'Down Hover State of Sub Level 1 UL', 830, 0, 0),
('menu1', '.sub_level_1_li1 > ul', 'Mouse Out State of Sub Level 2 UL', 835, 0, 0),
('menu1', '.sub_level_1_li_down1 > ul', 'Down Mouse Out State of Sub Level 2 UL', 840, 0, 0),
('menu1', '.sub_level_1_li1:hover > ul', 'Hover State of Sub Level 2 UL', 845, 0, 0),
('menu1', '.sub_level_1_li_down1:hover > ul', 'Down Hover State of Sub Level 2 UL', 850, 0, 0),
('menu1', '.sub_level_2_li1 > ul', 'Mouse Out State of Sub Level 3 UL', 855, 0, 0),
('menu1', '.sub_level_2_li_down1 > ul', 'Down Mouse Out State of Sub Level 3 UL', 860, 0, 0),
('menu1', '.sub_level_2_li1:hover > ul', 'Hover State of Sub Level 3 UL', 865, 0, 0),
('menu1', '.sub_level_2_li_down1:hover > ul', 'Down Hover State of Sub Level 3 UL', 870, 0, 0),
('menu1', '.sub_level_3_li1 > ul', 'Mouse Out State of Sub Level 4 UL', 875, 0, 0),
('menu1', '.sub_level_3_li_down1 > ul', 'Down Mouse Out State of Sub Level 4 UL', 880, 0, 0),
('menu1', '.sub_level_3_li1:hover > ul', 'Hover State of Sub Level 4 UL', 885, 0, 0),
('menu1', '.sub_level_3_li_down1:hover > ul', 'Down Hover State of Sub Level 4 UL', 890, 0, 0),
('menu1', '.sub_level_4_li1 > ul', 'Mouse Out State of Sub Level 5 UL', 895, 0, 0),
('menu1', '.sub_level_4_li_down1 > ul', 'Down Mouse Out State of Sub Level 5 UL', 900, 0, 0),
('menu1', '.sub_level_4_li1:hover > ul', 'Hover State of Sub Level 5 UL', 905, 0, 0),
('menu1', '.sub_level_4_li_down1:hover > ul', 'Down Hover State of Sub Level 5 UL', 910, 0, 0),
('menu1_mobile', '.top_level_li1 > ul', 'Mouse Out State of Sub Level 1 UL', 815, 0, 0),
('menu1_mobile', '.top_level_li_down1 > ul', 'Down Mouse Out State of Sub Level 1 UL', 820, 0, 0),
('menu1_mobile', '.top_level_li1:hover > ul', 'Hover State of Sub Level 1 UL', 825, 0, 0),
('menu1_mobile', '.top_level_li_down1:hover > ul', 'Down Hover State of Sub Level 1 UL', 830, 0, 0),
('menu1_mobile', '.sub_level_1_li1 > ul', 'Mouse Out State of Sub Level 2 UL', 835, 0, 0),
('menu1_mobile', '.sub_level_1_li_down1 > ul', 'Down Mouse Out State of Sub Level 2 UL', 840, 0, 0),
('menu1_mobile', '.sub_level_1_li1:hover > ul', 'Hover State of Sub Level 2 UL', 845, 0, 0),
('menu1_mobile', '.sub_level_1_li_down1:hover > ul', 'Down Hover State of Sub Level 2 UL', 850, 0, 0),
('menu1_mobile', '.sub_level_2_li1 > ul', 'Mouse Out State of Sub Level 3 UL', 855, 0, 0),
('menu1_mobile', '.sub_level_2_li_down1 > ul', 'Down Mouse Out State of Sub Level 3 UL', 860, 0, 0),
('menu1_mobile', '.sub_level_2_li1:hover > ul', 'Hover State of Sub Level 3 UL', 865, 0, 0),
('menu1_mobile', '.sub_level_2_li_down1:hover > ul', 'Down Hover State of Sub Level 3 UL', 870, 0, 0),
('menu1_mobile', '.sub_level_3_li1 > ul', 'Mouse Out State of Sub Level 4 UL', 875, 0, 0),
('menu1_mobile', '.sub_level_3_li_down1 > ul', 'Down Mouse Out State of Sub Level 4 UL', 880, 0, 0),
('menu1_mobile', '.sub_level_3_li1:hover > ul', 'Hover State of Sub Level 4 UL', 885, 0, 0),
('menu1_mobile', '.sub_level_3_li_down1:hover > ul', 'Down Hover State of Sub Level 4 UL', 890, 0, 0),
('menu1_mobile', '.sub_level_4_li1 > ul', 'Mouse Out State of Sub Level 5 UL', 895, 0, 0),
('menu1_mobile', '.sub_level_4_li_down1 > ul', 'Down Mouse Out State of Sub Level 5 UL', 900, 0, 0),
('menu1_mobile', '.sub_level_4_li1:hover > ul', 'Hover State of Sub Level 5 UL', 905, 0, 0),
('menu1_mobile', '.sub_level_4_li_down1:hover > ul', 'Down Hover State of Sub Level 5 UL', 910, 0, 0),
('menu2', '.top_level_li2 > ul', 'Mouse Out State of Sub Level 1 UL', 815, 0, 0),
('menu2', '.top_level_li_down2 > ul', 'Down Mouse Out State of Sub Level 1 UL', 820, 0, 0),
('menu2', '.top_level_li2:hover > ul', 'Hover State of Sub Level 1 UL', 825, 0, 0),
('menu2', '.top_level_li_down2:hover > ul', 'Down Hover State of Sub Level 1 UL', 830, 0, 0),
('menu2', '.sub_level_1_li2 > ul', 'Mouse Out State of Sub Level 2 UL', 835, 0, 0),
('menu2', '.sub_level_1_li_down2 > ul', 'Down Mouse Out State of Sub Level 2 UL', 840, 0, 0),
('menu2', '.sub_level_1_li2:hover > ul', 'Hover State of Sub Level 2 UL', 845, 0, 0),
('menu2', '.sub_level_1_li_down2:hover > ul', 'Down Hover State of Sub Level 2 UL', 850, 0, 0),
('menu2', '.sub_level_2_li2 > ul', 'Mouse Out State of Sub Level 3 UL', 855, 0, 0),
('menu2', '.sub_level_2_li_down2 > ul', 'Down Mouse Out State of Sub Level 3 UL', 860, 0, 0),
('menu2', '.sub_level_2_li2:hover > ul', 'Hover State of Sub Level 3 UL', 865, 0, 0),
('menu2', '.sub_level_2_li_down2:hover > ul', 'Down Hover State of Sub Level 3 UL', 870, 0, 0),
('menu2', '.sub_level_3_li2 > ul', 'Mouse Out State of Sub Level 4 UL', 875, 0, 0),
('menu2', '.sub_level_3_li_down2 > ul', 'Down Mouse Out State of Sub Level 4 UL', 880, 0, 0),
('menu2', '.sub_level_3_li2:hover > ul', 'Hover State of Sub Level 4 UL', 885, 0, 0),
('menu2', '.sub_level_3_li_down2:hover > ul', 'Down Hover State of Sub Level 4 UL', 890, 0, 0),
('menu2', '.sub_level_4_li2 > ul', 'Mouse Out State of Sub Level 5 UL', 895, 0, 0),
('menu2', '.sub_level_4_li_down2 > ul', 'Down Mouse Out State of Sub Level 5 UL', 900, 0, 0),
('menu2', '.sub_level_4_li2:hover > ul', 'Hover State of Sub Level 5 UL', 905, 0, 0),
('menu2', '.sub_level_4_li_down2:hover > ul', 'Down Hover State of Sub Level 5 UL', 910, 0, 0),
('menu2_mobile', '.top_level_li2 > ul', 'Mouse Out State of Sub Level 1 UL', 815, 0, 0),
('menu2_mobile', '.top_level_li_down2 > ul', 'Down Mouse Out State of Sub Level 1 UL', 820, 0, 0),
('menu2_mobile', '.top_level_li2:hover > ul', 'Hover State of Sub Level 1 UL', 825, 0, 0),
('menu2_mobile', '.top_level_li_down2:hover > ul', 'Down Hover State of Sub Level 1 UL', 830, 0, 0),
('menu2_mobile', '.sub_level_1_li2 > ul', 'Mouse Out State of Sub Level 2 UL', 835, 0, 0),
('menu2_mobile', '.sub_level_1_li_down2 > ul', 'Down Mouse Out State of Sub Level 2 UL', 840, 0, 0),
('menu2_mobile', '.sub_level_1_li2:hover > ul', 'Hover State of Sub Level 2 UL', 845, 0, 0),
('menu2_mobile', '.sub_level_1_li_down2:hover > ul', 'Down Hover State of Sub Level 2 UL', 850, 0, 0),
('menu2_mobile', '.sub_level_2_li2 > ul', 'Mouse Out State of Sub Level 3 UL', 855, 0, 0),
('menu2_mobile', '.sub_level_2_li_down2 > ul', 'Down Mouse Out State of Sub Level 3 UL', 860, 0, 0),
('menu2_mobile', '.sub_level_2_li2:hover > ul', 'Hover State of Sub Level 3 UL', 865, 0, 0),
('menu2_mobile', '.sub_level_2_li_down2:hover > ul', 'Down Hover State of Sub Level 3 UL', 870, 0, 0),
('menu2_mobile', '.sub_level_3_li2 > ul', 'Mouse Out State of Sub Level 4 UL', 875, 0, 0),
('menu2_mobile', '.sub_level_3_li_down2 > ul', 'Down Mouse Out State of Sub Level 4 UL', 880, 0, 0),
('menu2_mobile', '.sub_level_3_li2:hover > ul', 'Hover State of Sub Level 4 UL', 885, 0, 0),
('menu2_mobile', '.sub_level_3_li_down2:hover > ul', 'Down Hover State of Sub Level 4 UL', 890, 0, 0),
('menu2_mobile', '.sub_level_4_li2 > ul', 'Mouse Out State of Sub Level 5 UL', 895, 0, 0),
('menu2_mobile', '.sub_level_4_li_down2 > ul', 'Down Mouse Out State of Sub Level 5 UL', 900, 0, 0),
('menu2_mobile', '.sub_level_4_li2:hover > ul', 'Hover State of Sub Level 5 UL', 905, 0, 0),
('menu2_mobile', '.sub_level_4_li_down2:hover > ul', 'Down Hover State of Sub Level 5 UL', 910, 0, 0),
('menu3', '.top_level_li3 > ul', 'Mouse Out State of Sub Level 1 UL', 815, 0, 0),
('menu3', '.top_level_li_down3 > ul', 'Down Mouse Out State of Sub Level 1 UL', 820, 0, 0),
('menu3', '.top_level_li3:hover > ul', 'Hover State of Sub Level 1 UL', 825, 0, 0),
('menu3', '.top_level_li_down3:hover > ul', 'Down Hover State of Sub Level 1 UL', 830, 0, 0),
('menu3', '.sub_level_1_li3 > ul', 'Mouse Out State of Sub Level 2 UL', 835, 0, 0),
('menu3', '.sub_level_1_li_down3 > ul', 'Down Mouse Out State of Sub Level 2 UL', 840, 0, 0),
('menu3', '.sub_level_1_li3:hover > ul', 'Hover State of Sub Level 2 UL', 845, 0, 0),
('menu3', '.sub_level_1_li_down3:hover > ul', 'Down Hover State of Sub Level 2 UL', 850, 0, 0),
('menu3', '.sub_level_2_li3 > ul', 'Mouse Out State of Sub Level 3 UL', 855, 0, 0),
('menu3', '.sub_level_2_li_down3 > ul', 'Down Mouse Out State of Sub Level 3 UL', 860, 0, 0),
('menu3', '.sub_level_2_li3:hover > ul', 'Hover State of Sub Level 3 UL', 865, 0, 0),
('menu3', '.sub_level_2_li_down3:hover > ul', 'Down Hover State of Sub Level 3 UL', 870, 0, 0),
('menu3', '.sub_level_3_li3 > ul', 'Mouse Out State of Sub Level 4 UL', 875, 0, 0),
('menu3', '.sub_level_3_li_down3 > ul', 'Down Mouse Out State of Sub Level 4 UL', 880, 0, 0),
('menu3', '.sub_level_3_li3:hover > ul', 'Hover State of Sub Level 4 UL', 885, 0, 0),
('menu3', '.sub_level_3_li_down3:hover > ul', 'Down Hover State of Sub Level 4 UL', 890, 0, 0),
('menu3', '.sub_level_4_li3 > ul', 'Mouse Out State of Sub Level 5 UL', 895, 0, 0),
('menu3', '.sub_level_4_li_down3 > ul', 'Down Mouse Out State of Sub Level 5 UL', 900, 0, 0),
('menu3', '.sub_level_4_li3:hover > ul', 'Hover State of Sub Level 5 UL', 905, 0, 0),
('menu3', '.sub_level_4_li_down3:hover > ul', 'Down Hover State of Sub Level 5 UL', 910, 0, 0),
('menu3_mobile', '.top_level_li3 > ul', 'Mouse Out State of Sub Level 1 UL', 815, 0, 0),
('menu3_mobile', '.top_level_li_down3 > ul', 'Down Mouse Out State of Sub Level 1 UL', 820, 0, 0),
('menu3_mobile', '.top_level_li3:hover > ul', 'Hover State of Sub Level 1 UL', 825, 0, 0),
('menu3_mobile', '.top_level_li_down3:hover > ul', 'Down Hover State of Sub Level 1 UL', 830, 0, 0),
('menu3_mobile', '.sub_level_1_li3 > ul', 'Mouse Out State of Sub Level 2 UL', 835, 0, 0),
('menu3_mobile', '.sub_level_1_li_down3 > ul', 'Down Mouse Out State of Sub Level 2 UL', 840, 0, 0),
('menu3_mobile', '.sub_level_1_li3:hover > ul', 'Hover State of Sub Level 2 UL', 845, 0, 0),
('menu3_mobile', '.sub_level_1_li_down3:hover > ul', 'Down Hover State of Sub Level 2 UL', 850, 0, 0),
('menu3_mobile', '.sub_level_2_li3 > ul', 'Mouse Out State of Sub Level 3 UL', 855, 0, 0),
('menu3_mobile', '.sub_level_2_li_down3 > ul', 'Down Mouse Out State of Sub Level 3 UL', 860, 0, 0),
('menu3_mobile', '.sub_level_2_li3:hover > ul', 'Hover State of Sub Level 3 UL', 865, 0, 0),
('menu3_mobile', '.sub_level_2_li_down3:hover > ul', 'Down Hover State of Sub Level 3 UL', 870, 0, 0),
('menu3_mobile', '.sub_level_3_li3 > ul', 'Mouse Out State of Sub Level 4 UL', 875, 0, 0),
('menu3_mobile', '.sub_level_3_li_down3 > ul', 'Down Mouse Out State of Sub Level 4 UL', 880, 0, 0),
('menu3_mobile', '.sub_level_3_li3:hover > ul', 'Hover State of Sub Level 4 UL', 885, 0, 0),
('menu3_mobile', '.sub_level_3_li_down3:hover > ul', 'Down Hover State of Sub Level 4 UL', 890, 0, 0),
('menu3_mobile', '.sub_level_4_li3 > ul', 'Mouse Out State of Sub Level 5 UL', 895, 0, 0),
('menu3_mobile', '.sub_level_4_li_down3 > ul', 'Down Mouse Out State of Sub Level 5 UL', 900, 0, 0),
('menu3_mobile', '.sub_level_4_li3:hover > ul', 'Hover State of Sub Level 5 UL', 905, 0, 0),
('menu3_mobile', '.sub_level_4_li_down3:hover > ul', 'Down Hover State of Sub Level 5 UL', 910, 0, 0),
('menu4', '.top_level_li4 > ul', 'Mouse Out State of Sub Level 1 UL', 815, 0, 0),
('menu4', '.top_level_li_down4 > ul', 'Down Mouse Out State of Sub Level 1 UL', 820, 0, 0),
('menu4', '.top_level_li4:hover > ul', 'Hover State of Sub Level 1 UL', 825, 0, 0),
('menu4', '.top_level_li_down4:hover > ul', 'Down Hover State of Sub Level 1 UL', 830, 0, 0),
('menu4', '.sub_level_1_li4 > ul', 'Mouse Out State of Sub Level 2 UL', 835, 0, 0),
('menu4', '.sub_level_1_li_down4 > ul', 'Down Mouse Out State of Sub Level 2 UL', 840, 0, 0),
('menu4', '.sub_level_1_li4:hover > ul', 'Hover State of Sub Level 2 UL', 845, 0, 0),
('menu4', '.sub_level_1_li_down4:hover > ul', 'Down Hover State of Sub Level 2 UL', 850, 0, 0),
('menu4', '.sub_level_2_li4 > ul', 'Mouse Out State of Sub Level 3 UL', 855, 0, 0),
('menu4', '.sub_level_2_li_down4 > ul', 'Down Mouse Out State of Sub Level 3 UL', 860, 0, 0),
('menu4', '.sub_level_2_li4:hover > ul', 'Hover State of Sub Level 3 UL', 865, 0, 0),
('menu4', '.sub_level_2_li_down4:hover > ul', 'Down Hover State of Sub Level 3 UL', 870, 0, 0),
('menu4', '.sub_level_3_li4 > ul', 'Mouse Out State of Sub Level 4 UL', 875, 0, 0),
('menu4', '.sub_level_3_li_down4 > ul', 'Down Mouse Out State of Sub Level 4 UL', 880, 0, 0),
('menu4', '.sub_level_3_li4:hover > ul', 'Hover State of Sub Level 4 UL', 885, 0, 0),
('menu4', '.sub_level_3_li_down4:hover > ul', 'Down Hover State of Sub Level 4 UL', 890, 0, 0),
('menu4', '.sub_level_4_li4 > ul', 'Mouse Out State of Sub Level 5 UL', 895, 0, 0),
('menu4', '.sub_level_4_li_down4 > ul', 'Down Mouse Out State of Sub Level 5 UL', 900, 0, 0),
('menu4', '.sub_level_4_li4:hover > ul', 'Hover State of Sub Level 5 UL', 905, 0, 0),
('menu4', '.sub_level_4_li_down4:hover > ul', 'Down Hover State of Sub Level 5 UL', 910, 0, 0),
('menu4_mobile', '.top_level_li4 > ul', 'Mouse Out State of Sub Level 1 UL', 815, 0, 0),
('menu4_mobile', '.top_level_li_down4 > ul', 'Down Mouse Out State of Sub Level 1 UL', 820, 0, 0),
('menu4_mobile', '.top_level_li4:hover > ul', 'Hover State of Sub Level 1 UL', 825, 0, 0),
('menu4_mobile', '.top_level_li_down4:hover > ul', 'Down Hover State of Sub Level 1 UL', 830, 0, 0),
('menu4_mobile', '.sub_level_1_li4 > ul', 'Mouse Out State of Sub Level 2 UL', 835, 0, 0),
('menu4_mobile', '.sub_level_1_li_down4 > ul', 'Down Mouse Out State of Sub Level 2 UL', 840, 0, 0),
('menu4_mobile', '.sub_level_1_li4:hover > ul', 'Hover State of Sub Level 2 UL', 845, 0, 0),
('menu4_mobile', '.sub_level_1_li_down4:hover > ul', 'Down Hover State of Sub Level 2 UL', 850, 0, 0),
('menu4_mobile', '.sub_level_2_li4 > ul', 'Mouse Out State of Sub Level 3 UL', 855, 0, 0),
('menu4_mobile', '.sub_level_2_li_down4 > ul', 'Down Mouse Out State of Sub Level 3 UL', 860, 0, 0),
('menu4_mobile', '.sub_level_2_li4:hover > ul', 'Hover State of Sub Level 3 UL', 865, 0, 0),
('menu4_mobile', '.sub_level_2_li_down4:hover > ul', 'Down Hover State of Sub Level 3 UL', 870, 0, 0),
('menu4_mobile', '.sub_level_3_li4 > ul', 'Mouse Out State of Sub Level 4 UL', 875, 0, 0),
('menu4_mobile', '.sub_level_3_li_down4 > ul', 'Down Mouse Out State of Sub Level 4 UL', 880, 0, 0),
('menu4_mobile', '.sub_level_3_li4:hover > ul', 'Hover State of Sub Level 4 UL', 885, 0, 0),
('menu4_mobile', '.sub_level_3_li_down4:hover > ul', 'Down Hover State of Sub Level 4 UL', 890, 0, 0),
('menu4_mobile', '.sub_level_4_li4 > ul', 'Mouse Out State of Sub Level 5 UL', 895, 0, 0),
('menu4_mobile', '.sub_level_4_li_down4 > ul', 'Down Mouse Out State of Sub Level 5 UL', 900, 0, 0),
('menu4_mobile', '.sub_level_4_li4:hover > ul', 'Hover State of Sub Level 5 UL', 905, 0, 0),
('menu4_mobile', '.sub_level_4_li_down4:hover > ul', 'Down Hover State of Sub Level 5 UL', 910, 0, 0);